Bug 505798 - ICE compiling java-1.6.0-openjdk
ICE compiling java-1.6.0-openjdk
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
11
sparcv9 Linux
low Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
https://sparc.koji.fedoraproject.org/...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 19:11 EDT by Dennis Gilmore
Modified: 2009-09-11 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-11 16:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
prepocesed source (2.54 MB, application/octet-stream)
2009-06-13 19:11 EDT, Dennis Gilmore
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 40813 None None None Never

  None (edit)
Description Dennis Gilmore 2009-06-13 19:11:33 EDT
Created attachment 347787 [details]
prepocesed source 

/builddir/build/BUILD/icedtea6-1.4.1/openjdk/hotspot/src/cpu/sparc/vm/assembler_sparc.hpp: In constructor 'Address::Address(RegisterImpl*, unsigned char*, relocInfo::relocType)':
/builddir/build/BUILD/icedtea6-1.4.1/openjdk/hotspot/src/cpu/sparc/vm/assembler_sparc.hpp:302: internal compiler error: in gsi_insert_seq_nodes_after, at gimple-iterator.c:222
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQhwLcR.out file, please attach this to your bugreport.
Comment 1 Dennis Gilmore 2009-06-13 19:13:02 EDT
this was with gcc-4.4.0-4
Comment 2 Jakub Jelinek 2009-07-21 07:54:48 EDT
Just received a bugreport where I could reproduce this with a cross compiler, will be in upcoming rawhide build if approved:
http://gcc.gnu.org/ml/gcc-patches/2009-07/msg01160.html
Comment 3 Jakub Jelinek 2009-07-28 06:52:09 EDT
This is in latest rawhide gcc.
Comment 4 Dennis Gilmore 2009-07-28 15:43:21 EDT
can we have this backported to F-11 please as getting java-1.6.0-openjdk built is one of the remaining packages preventing a SPARC F-11 release.
Comment 5 Dennis Gilmore 2009-09-11 16:50:45 EDT
with the F-11 updated gcc things build fine

Note You need to log in before you can comment on or make changes to this bug.